> For the complete documentation index, see [llms.txt](https://docs.acychecker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.acychecker.com/api-documentation/api-single-email-check.md).

# Check a single email address

## Single email check

<mark style="color:blue;">`GET`</mark> `https://api.acychecker.com/api/v1/email_verify/{email}`

This endpoint allows you to test an email address and get the results.&#x20;

#### Path Parameters

| Name                                    | Type   | Description                         |
| --------------------------------------- | ------ | ----------------------------------- |
| email<mark style="color:red;">\*</mark> | string | The email address you want to check |

#### Headers

| Name                                           | Type   | Description                |
| ---------------------------------------------- | ------ | -------------------------- |
| API-KEY<mark style="color:red;">\*</mark>      | string | Your API key               |
| Content-Type<mark style="color:red;">\*</mark> | string | Must be "application/json" |

{% tabs %}
{% tab title="200 The check results are returned in a data element." %}

```
{
    "message": "",
    "data": {
        "email": "email@example.com",
        "valid": true,
        "disposable": false,
        "free": true,
        "role": false,
        "d_exists": true,
        "exists": "valid",
        "accept_all": false
    }
}
```

{% endtab %}

{% tab title="401 When the API key provided doesn't exist, or if the license is expired." %}

```
{
    "message": "Invalid API-KEY"
}

OR

{
    "message": "License expired"
}
```

{% endtab %}

{% tab title="403 When you exceeded the monthly credits for the provided API key." %}

```
{
    "message": "No credits left",
    "data": []
}
```

{% endtab %}

{% tab title="429 When you've sent a lot of requests to our API in a short amount of time." %}

```
{
    "message": "Too many requests"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.acychecker.com/api-documentation/api-single-email-check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
